about summary refs log tree commit diff
path: root/test/pgmnoise-parameters.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pgmnoise-parameters.test')
-rwxr-xr-xtest/pgmnoise-parameters.test36
1 files changed, 36 insertions, 0 deletions
diff --git a/test/pgmnoise-parameters.test b/test/pgmnoise-parameters.test
new file mode 100755
index 00000000..c5e6ada5
--- /dev/null
+++ b/test/pgmnoise-parameters.test
@@ -0,0 +1,36 @@
+#! /bin/sh
+# This script tests: pgmnoise
+# Also requires:
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+echo 1>&2
+echo "Invalid command-line argument combinations." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+pgmnoise -maxval=255  -randomseed=1 > ${test_out} || \
+  printf "Expected failure 1"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pgmnoise 100 -randomseed=1 > ${test_out} || \
+  printf "Expected failure 2"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pgmnoise 100 0 -randomseed=1 > ${test_out} || \
+  printf "Expected failure 3"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pgmnoise 0 100 -randomseed=1 > ${test_out} || \
+  printf "Expected failure 4"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pgmnoise 100 100 100 -randomseed=1 > ${test_out} || \
+  printf "Expected failure 5"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}